makedeb
Fork of Vim aiming to improve user experience, plugins, and GUIs
Click here to go back to the commit logs for neovim-bin.
Hash: 24e997c59475c02c4e2bfbed12d988225ed52b9f
Message: upgpkg: neovim-bin 0.6.0-4
Add alternative symlinks
diff --git a/.SRCINFO b/.SRCINFO
index 1141707..e329678 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -3,7 +3,7 @@ generated-by = makedeb-makepkg
pkgbase = neovim-bin
pkgdesc = Fork of Vim aiming to improve user experience, plugins, and GUIs
pkgver = 0.6.0
- pkgrel = 3
+ pkgrel = 4
url = https://neovim.io
arch = x86_64
license = custom:neovim
@@ -22,7 +22,14 @@ pkgbase = neovim-bin
provides = neovim-runtime
conflicts = neovim
conflicts = neovim-git
+ conflicts = neovim-runtime
source = https://github.com/neovim/neovim/releases/download/v0.6.0/nvim-linux64.tar.gz
+ source = ex
+ source = view
+ source = vimdiff
sha256sums = 9a7f72e25747c3839f2c8978ef4f902aada0c60ad4b5ff0cb8b9d4c1f0b35586
+ sha256sums = 5d3178628afc39f0318638cad19e9ad06ada89926dfb263e93ab35cc8f60e911
+ sha256sums = 3cb963a264b6cf45749627408b5a62c6945e5e426b595bb5e6a388194c2c1990
+ sha256sums = 1d3123b9d97a4889696ab72db558041b5cca8e26ff51ae557f7842242a7d4ed1
pkgname = neovim-bin
diff --git a/PKGBUILD b/PKGBUILD
index aee5771..437591e 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -5,7 +5,7 @@
pkgname=neovim-bin
pkgver=0.6.0
-pkgrel=3
+pkgrel=4
pkgdesc='Fork of Vim aiming to improve user experience, plugins, and GUIs'
arch=('x86_64')
url='https://neovim.io'
@@ -16,25 +16,39 @@ optdepends=('python-neovim: for Python 3 plugin support (see :help python)'
'xclip: for clipboard support on X11 (or xsel) (see :help clipboard)'
'xsel: for clipboard support on X11 (or xclip) (see :help clipboard)'
'wl-clipboard: for clipboard support on wayland (see :help clipboard)')
-conflicts=('neovim' 'neovim-git')
-source=("https://github.com/neovim/neovim/releases/download/v${pkgver}/nvim-linux64.tar.gz")
-sha256sums=('9a7f72e25747c3839f2c8978ef4f902aada0c60ad4b5ff0cb8b9d4c1f0b35586')
+conflicts=('neovim' 'neovim-git' 'neovim-runtime')
+source=(
+ "https://github.com/neovim/neovim/releases/download/v${pkgver}/nvim-linux64.tar.gz"
+ "ex"
+ "view"
+ "vimdiff")
+postinst="${pkgname}.postinst"
+prerm="${pkgname}.prerm"
+sha256sums=('9a7f72e25747c3839f2c8978ef4f902aada0c60ad4b5ff0cb8b9d4c1f0b35586'
+ '5d3178628afc39f0318638cad19e9ad06ada89926dfb263e93ab35cc8f60e911'
+ '3cb963a264b6cf45749627408b5a62c6945e5e426b595bb5e6a388194c2c1990'
+ '1d3123b9d97a4889696ab72db558041b5cca8e26ff51ae557f7842242a7d4ed1')
package() {
- cd "${srcdir}/nvim-linux64"
- echo "Coppying application binary"
- install -Dm 755 bin/nvim -t "${pkgdir}/usr/bin/"
+ echo "Copying application binary"
+ install -Dm 755 nvim-linux64/bin/nvim -t "${pkgdir}/usr/bin/"
- echo "Coppying libraries"
- install -Dm 644 lib/nvim/parser/c.so -t "${pkgdir}/usr/lib/nvim/parser/"
+ echo "Copying libraries"
+ install -Dm 644 nvim-linux64/lib/nvim/parser/c.so -t "${pkgdir}/usr/lib/nvim/parser/"
echo "Copying application files"
mkdir -p "${pkgdir}/usr/share/"
- cp -r share/applications "${pkgdir}/usr/share/applications"
- cp -r share/icons "${pkgdir}/usr/share/icons"
- cp -r share/locale "${pkgdir}/usr/share/locale"
- cp -r share/man "${pkgdir}/usr/share/man"
- cp -r share/nvim "${pkgdir}/usr/share/nvim"
+ cp -r nvim-linux64/share/applications "${pkgdir}/usr/share/applications"
+ cp -r nvim-linux64/share/icons "${pkgdir}/usr/share/icons"
+ cp -r nvim-linux64/share/locale "${pkgdir}/usr/share/locale"
+ cp -r nvim-linux64/share/man "${pkgdir}/usr/share/man"
+ cp -r nvim-linux64/share/nvim "${pkgdir}/usr/share/nvim"
+
+ echo "Copying scripts for update-alternatives symbolic links"
+ mkdir -p "${pkgdir}/usr/libexec/neovim"
+ install -Dm 755 ex "${pkgdir}/usr/libexec/neovim/"
+ install -Dm 755 view "${pkgdir}/usr/libexec/neovim/"
+ install -Dm 755 vimdiff "${pkgdir}/usr/libexec/neovim/"
}
# vim:set sw=2 sts=2 et:
diff --git a/ex b/ex
new file mode 100755
index 0000000..25105ec
--- /dev/null
+++ b/ex
@@ -0,0 +1,2 @@
+#!/bin/sh
+exec /usr/bin/nvim -e "$@"
diff --git a/neovim-bin.postinst b/neovim-bin.postinst
new file mode 100644
index 0000000..da26a59
--- /dev/null
+++ b/neovim-bin.postinst
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+set -e
+
+update-alternatives --install /usr/bin/editor editor /usr/bin/nvim 30 \
+ --slave /usr/share/man/man1/editor.1.gz editor.1.gz \
+ /usr/share/man/man1/nvim.1.gz
+update-alternatives --install /usr/bin/ex ex /usr/libexec/neovim/ex 30
+update-alternatives --install /usr/bin/vi vi /usr/bin/nvim 30
+update-alternatives --install /usr/bin/vim vim /usr/bin/nvim 30
+update-alternatives --install /usr/bin/view view /usr/libexec/neovim/view 30
+update-alternatives --install /usr/bin/vimdiff vimdiff /usr/libexec/neovim/vimdiff 30
+
+exit 0
diff --git a/neovim-bin.prerm b/neovim-bin.prerm
new file mode 100644
index 0000000..40f4452
--- /dev/null
+++ b/neovim-bin.prerm
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+set -e
+
+case "$1" in
+ remove|deconfigure)
+ update-alternatives --remove editor /usr/bin/nvim
+ update-alternatives --remove ex /usr/libexec/neovim/ex
+ update-alternatives --remove vi /usr/bin/nvim
+ update-alternatives --remove vim /usr/bin/nvim
+ update-alternatives --remove view /usr/libexec/neovim/view
+ update-alternatives --remove vimdiff /usr/libexec/neovim/vimdiff
+ ;;
+
+ upgrade|failed-upgrade)
+ ;;
+
+ *)
+ echo "prerm called with unknown argument '$1'" >&2
+ exit 0
+ ;;
+esac
+
+exit 0
diff --git a/postinst b/postinst
new file mode 100755
index 0000000..e716d8a
--- /dev/null
+++ b/postinst
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+set -e
+
+update-alternatives --install /usr/bin/editor editor /usr/bin/nvim 30 \
+ --slave /usr/share/man/man1/editor.1.gz editor.1.gz \
+ /usr/share/man/man1/nvim.1.gz
+update-alternatives --install /usr/bin/ex ex /usr/libexec/neovim/ex 30
+update-alternatives --install /usr/bin/rvim rvim /usr/libexec/neovim/rvim 30
+update-alternatives --install /usr/bin/rview rview /usr/libexec/neovim/rview 30
+update-alternatives --install /usr/bin/vi vi /usr/bin/nvim 30
+update-alternatives --install /usr/bin/vim vim /usr/bin/nvim 30
+update-alternatives --install /usr/bin/view view /usr/libexec/neovim/view 30
+update-alternatives --install /usr/bin/vimdiff vimdiff /usr/libexec/neovim/vimdiff 30
+
+
+
+exit 0
diff --git a/prerm b/prerm
new file mode 100755
index 0000000..8a12fd0
--- /dev/null
+++ b/prerm
@@ -0,0 +1,28 @@
+#!/bin/sh
+
+set -e
+
+case "$1" in
+ remove|deconfigure)
+ update-alternatives --remove editor /usr/bin/nvim
+ update-alternatives --remove ex /usr/libexec/neovim/ex
+ update-alternatives --remove rvim /usr/libexec/neovim/rvim
+ update-alternatives --remove rview /usr/libexec/neovim/rview
+ update-alternatives --remove vi /usr/bin/nvim
+ update-alternatives --remove vim /usr/bin/nvim
+ update-alternatives --remove view /usr/libexec/neovim/view
+ update-alternatives --remove vimdiff /usr/libexec/neovim/vimdiff
+ ;;
+
+ upgrade|failed-upgrade)
+ ;;
+
+ *)
+ echo "prerm called with unknown argument '$1'" >&2
+ exit 0
+ ;;
+esac
+
+
+
+exit 0
diff --git a/view b/view
new file mode 100755
index 0000000..cfa57a2
--- /dev/null
+++ b/view
@@ -0,0 +1,2 @@
+#!/bin/sh
+exec /usr/bin/nvim -R "$@"
diff --git a/vimdiff b/vimdiff
new file mode 100755
index 0000000..c494dd3
--- /dev/null
+++ b/vimdiff
@@ -0,0 +1,2 @@
+#!/bin/sh
+exec /usr/bin/nvim -d "$@"